API referenceRead API
Get Deletion Request
GET
header
AuthorizationBearer <token>Read API key. The scope an operation requires is given in x-required-scope (read | delete).
app_id*stringFormat
uuidrequest_id*stringFormat
uuidDeletion status
application/json- response
id*stringFormat
uuidapp_id*stringFormat
uuidsubject_type*DeletionSubjectTypeValue in
"install""user""app"subject_value*stringstatus*DeletionStatusValue in
"pending""running""done""failed"source*DeletionSourceValue in
"api""dashboard"requested_at*stringFormat
date-timestarted_at*|Format
date-timecompleted_at*|Format
date-timeerror*string|nullcurl -X GET 'https://api.appmetrica.online/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/deletion-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335", "subject_type": "install", "subject_value": "string", "status": "pending", "source": "api", "requested_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "error": "string"}